$!-----------------------------------------------------------------------------
$! BUILD_YAHMAIL.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 22-JUN-1999  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ IF P2 .EQS. ""
$ THEN
$    LANGUAGE = "EN"
$ ELSE
$    LANGUAGE = P2
$ ENDIF
$!
$ APPLICATION = "YAHMAIL-MIME"
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""''APPLICATION'""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ DEFINES = "/DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000," +-
            "__CRTL_VER=60000000,YAHMAIL_MUNPACK=1)"
$!
$ LINK_OPTIONS = F$SEARCH("''APPLICATION'_''ARCH_NAME'.OPT")
$ IF LINK_OPTIONS .NES. "" -
     THEN LINK_OPTIONS = "," + F$ELEMENT(0,";",LINK_OPTIONS) + "/OPTIONS"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/DECC /OPT /PREFIX=ALL /STAND=VAXC " +-
                  "/WARN=(DISABLE=PROTOSCOPE) " +-
                  "/noDEBUG 'DEFINES' /OBJECT=''OBJECT_DIR'"
$ ELSE
$    CC_OPTIONS = "/DECC /OPT /PREFIX=ALL /STAND=VAXC " +-
                  "/WARN=(DISABLE=PROTOSCOPE) " +-
                  "/noDEBUG 'DEFINES' /OBJECT=''OBJECT_DIR'"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' [-]yahMAIL
$    CC 'CC_OPTIONS' [-]lang_en
$    CC 'CC_OPTIONS' unixos
$    CC 'CC_OPTIONS' unixunpk
$    CC 'CC_OPTIONS' decode
$    CC 'CC_OPTIONS' uudecode
$    CC 'CC_OPTIONS' codes
$    CC 'CC_OPTIONS' string
$    CC 'CC_OPTIONS' part
$    CC 'CC_OPTIONS' xmalloc
$    CC 'CC_OPTIONS' md5c
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN                         
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE /EXECUTABLE=HT_EXE:YAHMAIL.EXE -
     'OBJECT_DIR'yahMAIL,lang_'LANGUAGE', -
                 unixos,unixunpk,decode,uudecode,codes, -
                 string,part,xmalloc,md5c 'LINK_OPTIONS'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE HT_EXE:YAHMAIL.EXE
$ PURGE /NOLOG 'OBJECT_DIR'
$!
$!-----------------------------------------------------------------------------
